Subject: Re: [PATCH] radeonfb: massive update of PM code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 28 Jan 2005 10:01:14 +1100

On Thu, 2005-01-27 at 19:52 +0100, Colin Leroy wrote:
> On 18 Jan 2005 at 12h01, Benjamin Herrenschmidt wrote:
> 
> Hi Ben, 
> 
> > This patch is a quite massive update to radeonfb. It adds the ability
> > to reboot from scratch the various chip models used on the recent
> > powermac laptops, adds a bunch of new chips (including R420 support,
> > untested), plus various fixes here or there including LCD & flat panel
> > blanking, abuse of stack usage in radeonfb_set_par(), and finally,
> > adapts the PM code to the recent powermac changes.
> 
> I just upgraded to 2.6.10, applied the 6 other patches you sent and this
> one. This one makes some heavy video corruption on my iBook G4
> (PowerBook6,3). The patch applies with a 27 lines offset at most hunks,
> but does no rejects. 
> 
> I'm using xorg 6.7.0, and your test sleep patch #7 on 2.6.9 worked fine.
> 
> Tell me if I can be of any help...

Well, this is basically equivalent to sleep #7 patch, so I'm not sure
what's wrong...

Ben.